# Uses of Class
org.apache.sysds.runtime.frame.data.columns.ColumnMetadata

Packages that use ColumnMetadata
Package
Description
org.apache.sysds.runtime.frame.data
org.apache.sysds.runtime.frame.data.columns
org.apache.sysds.runtime.instructions.spark

## Uses of ColumnMetadata in org.apache.sysds.runtime.frame.data

Methods in org.apache.sysds.runtime.frame.data that return ColumnMetadata
Modifier and Type
Method
Description
`ColumnMetadata[]`
FrameBlock.`getColumnMetadata()`
`ColumnMetadata`
FrameBlock.`getColumnMetadata(int c)`
Methods in org.apache.sysds.runtime.frame.data with parameters of type ColumnMetadata
Modifier and Type
Method
Description
`void`
FrameBlock.`setColumnMetadata(int c, ColumnMetadata colmeta)`
`void`
FrameBlock.`setColumnMetadata(ColumnMetadata[] colmeta)`
Constructors in org.apache.sysds.runtime.frame.data with parameters of type ColumnMetadata
Modifier
Constructor
Description
``
`FrameBlock(Types.ValueType[] schema, String[] colNames, ColumnMetadata[] meta, Array<?>[] data)`

## Uses of ColumnMetadata in org.apache.sysds.runtime.frame.data.columns

Methods in org.apache.sysds.runtime.frame.data.columns that return ColumnMetadata
Modifier and Type
Method
Description
`static ColumnMetadata`
ColumnMetadata.`read(DataInput in)`
Methods in org.apache.sysds.runtime.frame.data.columns with parameters of type ColumnMetadata
Modifier and Type
Method
Description
`boolean`
ColumnMetadata.`equals(ColumnMetadata that)`
Constructors in org.apache.sysds.runtime.frame.data.columns with parameters of type ColumnMetadata
Modifier
Constructor
Description
``
`ColumnMetadata(ColumnMetadata that)`

## Uses of ColumnMetadata in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return types with arguments of type ColumnMetadata
Modifier and Type
Method
Description
`Iterator<scala.Tuple2<Integer,ColumnMetadata>>`
MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeBuild2Function.`call(Iterator<scala.Tuple2<Long,FrameBlock>> iter)`
Method parameters in org.apache.sysds.runtime.instructions.spark with type arguments of type ColumnMetadata
Modifier and Type
Method
Description
`Iterator<String>`
MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeGroup2Function.`call(scala.Tuple2<Integer,Iterable<ColumnMetadata>> arg0)`